/*
This simple piece of code simply turns your ix86 into a i586 -
useful if you're cross-compiling for a weaker platform.
*/

#include <linux/init.h>
#include <linux/module.h>
#include <linux/utsname.h>
MODULE_LICENSE("GPL");

#ifndef UTSGEN
#define UTSGEN '5';
#endif

char save;

static int uname_init_module( void )
{
    save = init_uts_ns.name.machine[1];
    printk(KERN_ALERT "was %c\n",save);
    init_uts_ns.name.machine[1] = UTSGEN;
    return( 0 );
}

static void uname_cleanup_module( void )
{
    init_uts_ns.name.machine[1] = save;
}
 
module_init(uname_init_module);
module_exit(uname_cleanup_module);

